
%global github_owner    kevin1024
%global github_name     pytest-httpbin
%global modname         pytest_httpbin

%global desc Pytest-httpbin creates a pytest fixture that is dependency-injected into your \
tests. It automatically starts up a HTTP server in a separate thread running \
a local instance of httpbin (a web service for testing HTTP libraries) and \
provides your test with the URL in the fixture.

%global sum Fixture providing local instance of httpbin test service

%global t_requires python3-httpbin python3-six python3-pytest

Name:           python-%{github_name}
Version:        2.0.0
Release:    	2%{?dist}
Summary:        %{sum}

License:        MIT
URL:            https://github.com/%{github_owner}/%{github_name}
%global ghversion %(v=%{version}; echo $v | sed -r "s,[\\^~],,g")
Source0:        https://github.com/%{github_owner}/%{github_name}/archive/v%{ghversion}.tar.gz

BuildArch:      noarch

%description
%{desc}

%package -n python3-%{github_name}
Summary:        %{sum}

BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-requests
BuildRequires:  %{t_requires}


%description -n python3-%{github_name}
%{desc}

This package provides the Python 3 implementation.

%prep
%autosetup -n %{github_name}-%{ghversion} -p1

%build
%py3_build

%install
%py3_install

%check
PYTHONPATH=./ py.test-3 -p "no:unraisableexception"

%files -n python3-%{github_name}
%{python3_sitelib}/%{modname}*
%doc DESCRIPTION.rst README.md

%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 2.0.0-2
- Rebuilt for loongarch64

* Wed Jun 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.0-1
- initial build
